Posted by gavspen
Henagon

Warned to update, but then cant.

Hi,

When I start the connection to the remote computer (I'm in the US, remote computer in the UK) I get this:

"IMPORTANT: Please update the remote TeamViewer now, as it does not use the latest version. The remote TeamViewer version will be deprecated soon. Therefore please update otherwise your connection will be stopped after 5 minutes."

Then, after I complete the connection, I try to do the update on the remote computer and get this:

"You're up-to-date! TeamViewer 12.0.139437 is currently the newest version available."

I am aware that v.12 is not the latest, but I guess it means the latest for the OS on the remote computer. Both computers are running OS 10.9.5 and TeamViewer v.12.0.139437

I just tried it and it did indeed time out. I tried to reconnect and got this:

"Connection blocked after timeout. Your license limits the maximum session duration to a partner, immediate reconnects are blocked. Please try later or upgrade your license. Connections to this partner will be blocked until 14:20"

This is for personal use and I've had no license issues till now, although it's been a while since I used it.

I also wonder why I'm not geting the same upgrade warning on my computer, but just the remote one.

Anyone know what's happening here, and how to fix it?

6 Replies
6 Replies
Posted by Moderator Moderator
Moderator

Re: Warned to update, but then cant.

Hello @gavspen,

Thank you for your message.

As you can see here, you are using a device which is not compatible with the latest version of TeamViewer.

However, TeamViewer is only free to use with the latest version: Enjoy using the best version of TeamViewer we made so far! - How to proceed?

In order to use previous version, you need to be a licensed user.

I thank you in advance for your understanding.

Cheers,

Jean

French Community Moderator
Did my reply answer your question ? Accept it as a solution to help others.
Find this helpful ? Say thanks by clicking on the Thumbs Up button.
Posted by gavspen
Henagon

Re: Warned to update, but then cant.

What, may I ask, is the logic behind that?

Posted by Moderator Moderator
Moderator

Re: Warned to update, but then cant.

Hi @gavspen

You will find all the logic behind in this article: Enjoy using the best version of TeamViewer we made so far! - How to proceed?

I thank you in advance for your understanding.

Cheers,

Jean

French Community Moderator
Did my reply answer your question ? Accept it as a solution to help others.
Find this helpful ? Say thanks by clicking on the Thumbs Up button.
Posted by rbailin
Photon

Re: Warned to update, then cant do it.

You must update the target computer to OS 10.11.6 (El Capitan), a free update thru the Apple Store. One of my friends uses 10.6 (Snow Leopard) and TV 9 which was deprecated earlier this year, but with the latest TV 14 on my end, I now get the same warning to update with a 5 minute time limit, whereas before it would simply refuse to connect at all.

Apparently, we've all been given a short-term reprieve.

Posted by gavspen
Henagon

Re: Warned to update, but then cant.

Well, not really.

I certainly understand why those who can would be encouraged to update, but there's really no logical reason expressed in that article as to why it makes sense to abandon those who are unable to, is there?

Posted by gavspen
Henagon

Re: Warned to update, but then cant.

Well, 5 minutes is better than nothing, and I well understand the update process. I cant do it though due to other hardware incompatibilities.

What hasnt been explained is why TeamViwer is taking this punitive approach. The software still works, they are just denying access. Why?